Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amentra.metamatrix.solr
Class SolrConnectionFactory

    java.lang.Object
      com.amentra.metamatrix.solr.SolrConnectionFactory

All Implemented Interfaces:
  com.metamatrix.data.pool.SourceConnectionFactory

    public class SolrConnectionFactory

extends java.lang.Object
implements com.metamatrix.data.pool.SourceConnectionFactory

Creates connections, in support of connection pooling.

Author:
  Michael Walker

Constructor Summary
`SolrConnectionFactory(java.util.Properties props, com.metamatrix.data.api.ConnectorLogger logger)`

Method Summary
`com.metamatrix.data.pool.SourceConnection` | `createConnection(com.metamatrix.data.pool.ConnectorIdentity arg0)`
`com.metamatrix.data.pool.ConnectorIdentity` | `createIdentity(com.metamatrix.data.api.SecurityContext context)` Returns a SingleIdentity, using the cached identity if one exists.
`void` | `initialize(com.metamatrix.data.api.ConnectorEnvironment env)`
`boolean` | `isSingleIdentity()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrConnectionFactory

    public SolrConnectionFactory(java.util.Properties props,
                                 com.metamatrix.data.api.ConnectorLogger logger)

Method Detail

### createConnection

    public com.metamatrix.data.pool.SourceConnection createConnection(com.metamatrix.data.pool.ConnectorIdentity arg0)
                                                               throws com.metamatrix.data.exception.ConnectorException

  Specified by:
    `createConnection` in interface `com.metamatrix.data.pool.SourceConnectionFactory`
  Throws:
    `com.metamatrix.data.exception.ConnectorException`

### createIdentity

    public com.metamatrix.data.pool.ConnectorIdentity createIdentity(com.metamatrix.data.api.SecurityContext context)
                                                              throws com.metamatrix.data.exception.ConnectorException

  Returns a SingleIdentity, using the cached identity if one exists. Note that per-user identities are not supported, and no attempt is made to identity each security context separately. (non-Javadoc)

  Specified by:
    `createIdentity` in interface `com.metamatrix.data.pool.SourceConnectionFactory`
  Throws:
    `com.metamatrix.data.exception.ConnectorException`
  See Also:
    `SourceConnectionFactory.createIdentity(com.metamatrix.data.api.SecurityContext)`

### initialize

    public void initialize(com.metamatrix.data.api.ConnectorEnvironment env)
                    throws com.metamatrix.data.exception.ConnectorException

  Specified by:
    `initialize` in interface `com.metamatrix.data.pool.SourceConnectionFactory`
  Throws:
    `com.metamatrix.data.exception.ConnectorException`

### isSingleIdentity

    public boolean isSingleIdentity()

  Specified by:
    `isSingleIdentity` in interface `com.metamatrix.data.pool.SourceConnectionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD